/v1/compliance/reports
curl --request POST \
--url https://api.truthlocks.com/v1/compliance/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"regulation": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: '<string>',
period_end: '2023-11-07T05:31:56Z',
period_start: '2023-11-07T05:31:56Z',
regulation: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/compliance/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/compliance/reports"
payload = {
"entity_id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"regulation": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/compliance/reports"
payload := strings.NewReader("{\n \"entity_id\": \"<string>\",\n \"period_end\": \"2023-11-07T05:31:56Z\",\n \"period_start\": \"2023-11-07T05:31:56Z\",\n \"regulation\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Conformité et anomalies
Générer un rapport de conformité
POST
/
v1
/
compliance
/
reports
/v1/compliance/reports
curl --request POST \
--url https://api.truthlocks.com/v1/compliance/reports \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"entity_id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"regulation": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_id: '<string>',
period_end: '2023-11-07T05:31:56Z',
period_start: '2023-11-07T05:31:56Z',
regulation: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/compliance/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/compliance/reports"
payload = {
"entity_id": "<string>",
"period_end": "2023-11-07T05:31:56Z",
"period_start": "2023-11-07T05:31:56Z",
"regulation": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/compliance/reports"
payload := strings.NewReader("{\n \"entity_id\": \"<string>\",\n \"period_end\": \"2023-11-07T05:31:56Z\",\n \"period_start\": \"2023-11-07T05:31:56Z\",\n \"regulation\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}Agrège les contrôles de conformité enregistrés pour une entité et une période. Fournissez
entity_id, regulation, period_start et period_end ; entity_type est par défaut agent. Les périodes utilisent des valeurs de date-heure et la fin ne doit pas précéder le début.
Nécessite un jeton Bearer d’utilisateur connecté. Le serveur dérive l’identité du réviseur. Le gestionnaire retourne de manière synchrone ; il ne bascule pas vers une tâche de rapport en arrière-plan pendant de longues périodes. Un rapport résume les résultats des vérifications stockées, et non une certification réglementaire indépendante. Les reçus de rapport générés utilisent actuellement des marqueurs système plutôt que des signatures cryptographiques.
